From 8e77a8bad3b5f99fa3b8607d36ba6095eadcfdf8 Mon Sep 17 00:00:00 2001
From: Ryan Pavlik <rpavlik@iastate.edu>
Date: Fri, 4 Nov 2011 13:18:21 -0500
Subject: [PATCH 38/43] dix/registry.c: New win32 defines.

---
 dix/registry.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dix/registry.c b/dix/registry.c
index 6505fc4..fc80b93 100644
--- a/dix/registry.c
+++ b/dix/registry.c
@@ -34,7 +34,7 @@ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 #define CORE "X11"
 
 /* Should this actually be checking RELOCATE_PROJECTROOT ? */
-#if defined(WIN32) && !defined(__CYGWIN__)
+#ifdef IS_WIN32_NATIVE
 #define FILENAME_ONLY "protocol.txt"
 extern const char *winGetBaseDir(void);
 #endif
@@ -324,7 +324,7 @@ dixResetRegistry(void)
     /* Open the protocol file */
     if (fh)
 	fclose(fh);
-#if defined(WIN32) && !defined(__CYGWIN__)
+#ifdef IS_WIN32_NATIVE
     {
 	char filename[MAX_PATH];
 	snprintf(filename, sizeof(filename), "%s\\%s", winGetBaseDir(), FILENAME_ONLY);
@@ -334,7 +334,7 @@ dixResetRegistry(void)
     if (!fh) {
 #endif
     fh = fopen(FILENAME, "r");
-#if defined(WIN32) && !defined(__CYGWIN__)
+#ifdef IS_WIN32_NATIVE
 	}
 #endif
     if (!fh)
-- 
1.7.7.1

